Loading...
Searching...
No Matches
APR Utility Functions
Collaboration diagram for APR Utility Functions:

## Modules

| Base64 Encoding
| Bucket Brigades
| Crypto routines
| Date routines
| DBD routines
| DBM routines
| Hook Functions
| MD4 Library
| Memcached Client Routines
| Optional Functions
| Thread Safe FIFO bounded queue
| Redis Client Routines
| Resource List Routines
| Relocatable Memory Management Routines
| String matching routines
| Thread Pool routines
| URI
| XML
| Error Codes
| LDAP

## Macros

#define | APU_DECLARE(type) type
#define | APU_DECLARE_NONSTD(type) type
#define | APU_DECLARE_DATA
#define | APU_MODULE_DECLARE_DATA
#define | APU_HAVE_SDBM 1
#define | APU_HAVE_GDBM 1
#define | APU_HAVE_NDBM 0
#define | APU_HAVE_DB 1
#define | APU_HAVE_PGSQL 1
#define | APU_HAVE_MYSQL 1
#define | APU_HAVE_SQLITE3 1
#define | APU_HAVE_SQLITE2 0
#define | APU_HAVE_ORACLE 0
#define | APU_HAVE_ODBC 1
#define | APU_HAVE_CRYPTO 1
#define | APU_HAVE_OPENSSL 1
#define | APU_HAVE_NSS 0
#define | APU_HAVE_COMMONCRYPTO 0
#define | APU_HAVE_APR_ICONV 0
#define | APU_HAVE_ICONV 1
#define | APR_HAS_XLATE (APU_HAVE_APR_ICONV || APU_HAVE_ICONV)

## Detailed Description

## Macro Definition Documentation

## APU_MODULE_DECLARE_DATA

#define APU_MODULE_DECLARE_DATA

Declare a dso module's exported module structure as APU_MODULE_DECLARE_DATA.

Unless APU_MODULE_DECLARE_STATIC is defined at compile time, symbols declared with APU_MODULE_DECLARE_DATA are always exported.

module APU_MODULE_DECLARE_DATA mod_tag